Bug 191730 - up2date exits with "Segmentation Violation" on RHEL3.6
up2date exits with "Segmentation Violation" on RHEL3.6
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: up2date (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-15 11:03 EDT by Michael Romero
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 14:44:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Michael Romero 2006-05-15 11:03:29 EDT
Description of problem:
Recently, whenever I try and run up2date on one of my hosts - I get a 
segmentation violation..  I do not believe it is a connectivity issue because I 
am able to successfully re-register with RHN.  Here is a cut-n-paste of up2date 
output..
[root@vq2xr001 rpm]# up2date -l

Fetching Obsoletes list for channel: rhel-i386-as-3...

Fetching rpm headers...
Segmentation fault############
[root@vq2xr001 rpm]

[root@vq2xr001 rpm]# up2date -u

Fetching Obsoletes list for channel: rhel-i386-as-3...

Fetching rpm headers...
Segmentation fault############
[root@vq2xr001 rpm]#

Version-Release number of selected component (if applicable):
[root@vq2xr001 rpm]# rpm -qa | grep -i up2date
up2date-gnome-4.4.67-3
up2date-4.4.67-3
[root@vq2xr001 rpm]# rpm -qa | grep -i rpm
rpm-python-4.2.3-24_nonptl
rpm-libs-4.2.3-24_nonptl
rpm-build-4.2.3-24_nonptl
rpm-4.2.3-24_nonptl
redhat-java-rpm-scripts-1.0.2-2
rpmdb-redhat-3-0.20050921
rpm-devel-4.2.3-24_nonptl
redhat-rpm-config-8.0.28-2

How reproducible:
Every Time

Steps to Reproduce:
1. run "up2date -l"
2. or run "up2date -u"
3.
  
Actual results:
Segmentation Violation

Expected results:
Expecting server to download latest updates from RHN and install them.

Additional info: Server is RHEL 3.6
Comment 1 Bret McMillan 2006-05-16 11:26:26 EDT
1)  Did it generate any core files?  If so, please attach to the bug
2)  Please attach the output of /var/log/up2date
3)  Is there anything "interesting" about the hardware on the box?
Comment 2 Michael Romero 2006-05-16 12:13:54 EDT
1.  I've searched the system and I do not see any core files generated 
anywhere.  
2.  Here's what I see in up2date's log after an attempt at up2date..

[root@vq2xr001 log]# up2date -l

Fetching Obsoletes list for channel: rhel-i386-as-3...

Fetching rpm headers...
Segmentation fault############
[root@vq2xr001 log]# cat /var/log/up2date
[Tue May 16 09:17:33 2006] up2date updating login info
[Tue May 16 09:17:33 2006] up2date logging into up2date server
[Tue May 16 09:17:34 2006] up2date successfully retrieved authentication token 
from up2date server
[Tue May 16 09:17:34 2006] up2date availablePackageList from network
[Tue May 16 09:17:34 2006] up2date Unable to import repomd support so repomd 
support will not be available
[root@vq2xr001 log]# date
Tue May 16 09:17:42 PDT 2006
[root@vq2xr001 log]# 

3.  Nothing interesting about this hardware.  It's an HP Proliant DL360.  
Here's the output of a few files from /proc to give you an idea about whats on 
it.

[root@vq2xr001 log]# cat /proc/pci 
PCI devices found:
  Bus  0, device   0, function  0:
    Host bridge: ServerWorks CNB20-HE Host Bridge (rev 51).
  Bus  0, device   0, function  1:
    Host bridge: ServerWorks CNB20-HE Host Bridge (#2) (rev 0).
  Bus  0, device   0, function  2:
    Host bridge: ServerWorks CNB20-HE Host Bridge (#3) (rev 0).
  Bus  0, device   3, function  0:
    VGA compatible controller: ATI Technologies Inc Rage XL (rev 39).
      Master Capable.  Latency=64.  Min Gnt=8.
      Non-prefetchable 32 bit memory at 0xf6000000 [0xf6ffffff].
      I/O at 0x2400 [0x24ff].
      Non-prefetchable 32 bit memory at 0xf5ff0000 [0xf5ff0fff].
  Bus  0, device   4, function  0:
    RAID bus controller: Compaq Computer Corporation Smart Array 5i/532 (rev 1).
      IRQ 3.
      Master Capable.  Latency=71.  
      Non-prefetchable 64 bit memory at 0xf5f80000 [0xf5fbffff].
      I/O at 0x2800 [0x28ff].
      Prefetchable 64 bit memory at 0xf5df0000 [0xf5df3fff].
  Bus  0, device   5, function  0:
    System peripheral: PCI device 0e11:b203 (Compaq Computer Corporation) (rev 
1).
      IRQ 5.
      I/O at 0x1800 [0x18ff].
      Non-prefetchable 32 bit memory at 0xf5f70000 [0xf5f701ff].
  Bus  0, device   5, function  2:
    System peripheral: PCI device 0e11:b204 (Compaq Computer Corporation) (rev 
1).
      IRQ 7.
      Master Capable.  Latency=64.  
      I/O at 0x2c00 [0x2cff].
      Non-prefetchable 32 bit memory at 0xf5f60000 [0xf5f607ff].
      Non-prefetchable 32 bit memory at 0xf5f50000 [0xf5f51fff].
      Non-prefetchable 32 bit memory at 0xf5e80000 [0xf5efffff].
  Bus  0, device  15, function  0:
    ISA bridge: ServerWorks CSB5 South Bridge (rev 147).
      Master Capable.  Latency=32.  
  Bus  0, device  15, function  1:
    IDE interface: ServerWorks CSB5 IDE Controller (rev 147).
      Master Capable.  Latency=64.  
      I/O at 0x2000 [0x200f].
  Bus  0, device  15, function  2:
    USB Controller: ServerWorks OSB4/CSB5 OHCI USB Controller (rev 5).
      IRQ 10.
      Master Capable.  Latency=64.  Max Lat=80.
      Non-prefetchable 32 bit memory at 0xf5e70000 [0xf5e70fff].
  Bus  0, device  15, function  3:
    Host bridge: ServerWorks GCLE Host Bridge (rev 0).
  Bus  0, device  17, function  0:
    Host bridge: PCI device 1166:0101 (ServerWorks) (rev 5).
      Master Capable.  Latency=64.  
  Bus  0, device  17, function  2:
    Host bridge: PCI device 1166:0101 (ServerWorks) (rev 5).
      Master Capable.  Latency=64.  
  Bus  1, device   1, function  0:
    Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet Controller 
(Copper) (rev 1).
      IRQ 15.
      Master Capable.  Latency=64.  Min Gnt=255.
      Non-prefetchable 64 bit memory at 0xf7ee0000 [0xf7efffff].
      Non-prefetchable 64 bit memory at 0xf7e80000 [0xf7ebffff].
      I/O at 0x3000 [0x303f].
  Bus  1, device   1, function  1:
    Ethernet controller: Intel Corp. 82546EB Gigabit Ethernet Controller 
(Copper) (#2) (rev 1).
      IRQ 11.
      Master Capable.  Latency=64.  Min Gnt=255.
      Non-prefetchable 64 bit memory at 0xf7e60000 [0xf7e7ffff].
      I/O at 0x3040 [0x307f].
  Bus  1, device   2, function  0:
    Ethernet controller: Broadcom Corporation NetXtreme BCM5703 Gigabit 
Ethernet (rev 2).
      IRQ 11.
      Master Capable.  Latency=64.  Min Gnt=64.
      Non-prefetchable 64 bit memory at 0xf7e50000 [0xf7e5ffff].
  Bus  4, device   2, function  0:
    Ethernet controller: Broadcom Corporation NetXtreme BCM5703 Gigabit 
Ethernet (#2) (rev 2).
      IRQ 15.
      Master Capable.  Latency=64.  Min Gnt=64.
      Non-prefetchable 64 bit memory at 0xf7ff0000 [0xf7ffffff].

[root@vq2xr001 log]# cat /proc/cpuinfo 
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 9
cpu MHz         : 2799.258
cache size      : 512 KB
physical id     : 0
siblings        : 2
runqueue        : 0
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 5583.66

processor       : 1
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 9
cpu MHz         : 2799.258
cache size      : 512 KB
physical id     : 0
siblings        : 2
runqueue        : 0
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 5596.77

processor       : 2
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 9
cpu MHz         : 2799.258
cache size      : 512 KB
physical id     : 3
siblings        : 2
runqueue        : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 5596.77

processor       : 3
vendor_id       : GenuineIntel
cpu family      : 15
model           : 2
model name      : Intel(R) Xeon(TM) CPU 2.80GHz
stepping        : 9
cpu MHz         : 2799.258
cache size      : 512 KB
physical id     : 3
siblings        : 2
runqueue        : 2
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov 
pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm
bogomips        : 5596.77

[root@vq2xr001 log]# cat /proc/meminfo 
        total:    used:    free:  shared: buffers:  cached:
Mem:  2104807424 2064072704 40734720        0 111882240 1761550336
Swap: 2093113344        0 2093113344
MemTotal:      2055476 kB
MemFree:         39780 kB
MemShared:           0 kB
Buffers:        109260 kB
Cached:        1720264 kB
SwapCached:          0 kB
Active:        1482900 kB
ActiveAnon:      25024 kB
ActiveCache:   1457876 kB
Inact_dirty:    285380 kB
Inact_laundry:   55412 kB
Inact_clean:     30324 kB
Inact_target:   370800 kB
HighTotal:     1179624 kB
HighFree:        15992 kB
LowTotal:       875852 kB
LowFree:         23788 kB
SwapTotal:     2044056 kB
SwapFree:      2044056 kB
CommitLimit:   3071792 kB
Committed_AS:    67360 kB
HugePages_Total:     0
HugePages_Free:      0
Hugepagesize:     2048 kB

[root@vq2xr001 log]# lsmod
Module                  Size  Used by    Not tainted
nfsd                   86160   8  (autoclean)
lockd                  59600   1  (autoclean) [nfsd]
sunrpc                 89276   1  (autoclean) [nfsd lockd]
usbserial              23868   0  (autoclean) (unused)
lp                      9156   0  (autoclean)
parport                38848   0  (autoclean) [lp]
autofs4                16888   0  (autoclean) (unused)
audit                  90872   3 
iptable_filter          2412   0  (autoclean) (unused)
ip_tables              16544   1  [iptable_filter]
tg3                    72680   2 
e1000                  94140   1 
bonding                64068   1 
microcode               6912   0  (autoclean)
keybdev                 2944   0  (unused)
mousedev                5656   0  (unused)
hid                    22532   0  (unused)
input                   6176   0  [keybdev mousedev hid]
usb-ohci               23208   0  (unused)
usbcore                81152   1  [usbserial hid usb-ohci]
ext3                   90088   6 
jbd                    55380   6  [ext3]
cciss                  48172   7 
sd_mod                 14160   0  (unused)
scsi_mod              115756   1  [cciss sd_mod]
Comment 3 Red Hat Bugzilla 2007-04-11 20:42:42 EDT
User bnackash@redhat.com's account has been closed
Comment 4 RHEL Product and Program Management 2007-10-19 14:44:04 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.